Lingxing
切换旧版

查询承运方式

POST/amzStaServer/openapi/inbound-shipment/getTransportList

接口信息

API Path请求协议请求方式令牌桶容量
/amzStaServer/openapi/inbound-shipment/getTransportListHTTPSPOST1

请求参数

inboundPlanIdstring必填
STA任务编号,对应创建STA任务接口对应字段【inboundPlanId】
shipmentIdstring必填
货件id,对应查询货件方案接口对应字段【shipmentId】
sidinteger必填
店铺id ,对应查询亚马逊店铺列表接口对应字段【sid】

请求cURL示例

curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-shipment/getTransportList?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
    "shipmentId": "货件id",
    "sid": 1
}'

返回结果

codeinteger必填
状态码,0 成功
示例 0
messagestring必填
消息提示
示例 success
errorDetailsarray<any>必填
错误信息
requestIdstring必填
请求链路id
responseTimestring必填
响应时间
示例 2020-05-18 11:23:47
dataobject必填
响应数据
隐藏子属性
inboundPlanIdstring必填
STA任务编号
shipmentIdstring必填
货件号
transportVOListarray<object>必填
承运方式列表
隐藏子属性
alphaCodestring必填
承运方式编码
alphaNamestring必填
承运方式名称
shippingModestring必填
货件类型(GROUND_SMALL_PARCEL代表小包裹快递(SPD)、FREIGHT_LTL代表汽运零担(LTL))
shippingSolutionstring必填
承运人(USE_YOUR_OWN_CARRIER代表其他承运人、AMAZON_PARTNERED_CARRIER代表亚马逊合作承运人)
transportationOptionIdstring必填
承运方式ID
alphaAliasNamestring
承运方式别名

返回成功示例

{
    "code": 0,
    "message": "success",
    "error_details": [],
    "request_id": "574FB0B8-FD6E-8D29-91FD-295B55CF5398",
    "response_time": "2024-07-31 14:41:25",
    "data": {
        "inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
        "shipmentId": "货件号",
        "transportVOList": [{
        "alphaCode": "承运方式编码",
        "alphaName": "承运方式名称",
        "shippingMode": "货件类型(GROUND_SMALL_PARCEL代表小包裹快递(SPD)、FREIGHT_LTL代表汽运零担(LTL))",
        "shippingSolution": "承运人(USE_YOUR_OWN_CARRIER代表其他承运人、AMAZON_PARTNERED_CARRIER代表亚马逊合作承运人)",
        "transportationOptionId": "承运方式ID"
        }]
    }
}